Bug 198995 - [patch] net/dhcp6 - Fix does not log debug messages to syslog when daemonized
Summary: [patch] net/dhcp6 - Fix does not log debug messages to syslog when daemonized
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Sato
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-29 03:54 UTC by k.dash.paulius
Modified: 2018-01-16 06:11 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (hrs)


Attachments
enable daemon debug (254 bytes, text/x-c)
2015-03-29 03:54 UTC, k.dash.paulius
no flags Details
patch-common.c (254 bytes, patch)
2015-03-29 03:58 UTC, k.dash.paulius
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description k.dash.paulius 2015-03-29 03:54:30 UTC
Created attachment 154944 [details]
enable daemon debug

dhcp6 does not log to syslog when -D (debug) option is passed and it is running as daemon.

When running -D in foreground (option -f) it does output debug messages, but only to shell.
Comment 1 k.dash.paulius 2015-03-29 03:58:52 UTC
Created attachment 154945 [details]
patch-common.c
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-01-12 04:33:57 UTC
common.c shows:
 3207                 case 2:
   3208                         setlogmask(LOG_UPTO(LOG_DEBUG));
   3209                         break;

It is done, could be closed.